---
{{ template "common.Secret.environment" (list . "netbox.Secret.environment") }}

{{- define "netbox.Secret.environment" }}
stringData:
  ALLOWED_HOSTS: {{ .Values.config.allowedHosts | quote }}

  SECRET_KEY: {{ .Values.config.secretKey | quote }}

  DB_HOST: {{ .Values.config.databaseHost | quote }}
  DB_USER: {{ .Values.config.databaseUser | quote }}
  DB_PASSWORD: {{ .Values.config.databasePassword | quote }}
  DB_NAME: {{ .Values.config.databaseName | quote }}

  REDIS_HOST: {{ .Values.config.redisHost | quote }}
  REDIS_PASSWORD: {{ .Values.config.redisPassword | quote }}
  REDIS_DATABASE: "0"

  REDIS_CACHE_HOST: {{ .Values.config.redisHost | quote }}
  REDIS_CACHE_PASSWORD: {{ .Values.config.redisPassword | quote }}
  REDIS_CACHE_DATABASE: "1"
{{- end }}
